<!DOCTYPE html>
<html lang="en">
  <head>
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="description" content="Final Year Project">
      <meta name="author" content="Aled Mason">

      <title>Malicious Network Activity Visualisation Tool</title>

      <!-- JQuery -->
      <script src="js/jquery-1.9.0.js"></script>

      <!-- Latest compiled and minified CSS -->
      <link rel="stylesheet" href="css/bootstrap.min.css">
      <!-- Optional theme -->
      <link rel="stylesheet" href="css/bootstrap-theme.min.css">
      <!-- Latest compiled and minified JavaScript -->
      <script src="js/bootstrap.min.js"></script>  
      <!-- Custom styles for this template -->
      <!-- <link rel="stylesheet" href="css/dashboard.css"> -->

      <!-- Local -->
      <link rel="stylesheet" type="text/css" href="css/stylesheet.css">
      <script src="js/jquery.cookie.js"></script>
  </head>
	<body>
		<div class="text-center" style="padding-top:50px">
			<h1>Malicious Network Activity Visualisation Tool<br /> <small>By Aled Mason</small></h1>

			<div style="padding:25px">
				<span class="btn btn-primary btn-file btn-lg">
				    Upload an IDS Log file <input type="file" id="fileinput" />
				</span>
				<button type="button" class="btn btn-success btn-lg" data-toggle="modal" data-target="#myModal">Enter a pre-generated code</button>
				<button type="button" class="btn btn-danger btn-lg">Visualise Real-time IDS Data</button>
				<br /><br /><br /><br />

				<!-- Modal -->
				<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				  <div class="modal-dialog">
				    <div class="modal-content">
				      <div class="modal-header">
				        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				        <h4 class="modal-title" id="myModalLabel">Enter a pre-generated code</h4>
				      </div>
				      <div class="modal-body">
				        <input type="text" id="code" />
				      </div>
				      <div class="modal-footer">
				        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				        <button type="button" class="btn btn-primary" id="codeSubmit">Go</button>
				      </div>
				    </div>
				  </div>
				</div>

				<script type="text/javascript">
				// Button Upload
				  function readSingleFile(evt) {
				    //Retrieve the first (and only!) File from the FileList object
				    var f = evt.target.files[0]; 

				    if (f) {
				      var r = new FileReader();
				      r.onload = function(e) { 
					      var contents = e.target.result;
				        	if (typeof contents == 'string'){
					            // Insert progress bar here?
					            $.post("methods/upload.php", {string: contents}, function (d){
					            	// Redirects to new page here
				            		var url = 'home.php?id=' + d;
									window.location = url;			            	
					          })
				        	}
				      }
				      r.readAsText(f);

				    } else { 
				      alert("Failed to load file");
				    }
				  }

				  document.getElementById('fileinput').addEventListener('change', readSingleFile, false);
				  
				  // Button Pre Generated
				  $(function() {
				      $("#codeSubmit").click( function()
				           {
				           	var code = $('#code').val();
				            var url = 'home.php?id=' + code;
							window.location = url;
				           }
				      );
				});

				</script>
			</div>
		</div>
	</body>

</html>